#
# Conditional build:
%bcond_with	static_libs	# static library
#
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Summary(pl.UTF-8):	Moduł GTK+ łączący ATK z at-spi jako usługą D-Bus
Name:		at-spi2-atk
Version:	2.26.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/at-spi2-atk/2.26/%{name}-%{version}.tar.xz
# Source0-md5:	555d4ca06a1b75c14db67bffac5f4d1f
URL:		https://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
BuildRequires:	at-spi2-core-devel >= 2.26.0
BuildRequires:	atk-devel >= 1:2.26.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.5
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	atk >= 1:2.26.0
Requires:	at-spi2-core >= 2.26.0
Requires:	dbus >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a GTK+ module that bridges ATK to the new D-Bus
based at-spi.

%description -l pl.UTF-8
Ten pakiet dostarcza moduł GTK+ łączący ATK z nowym at-spi, opartym o
usługę D-Bus.

%package libs
Summary:	Shared atk-bridge library
Summary(pl.UTF-8):	Biblioteka współdzielona atk-bridge
Group:		Libraries
Requires:	at-spi2-core-libs >= 2.26.0
Requires:	atk >= 1:2.26.0
Requires:	dbus-libs >= 1.5
Requires:	glib2 >= 1:2.32.0
Conflicts:	at-spi2-atk < 2.6.0-2

%description libs
Shared atk-bridge library, providing ATK/D-Bus bridge.

%description libs -l pl.UTF-8
Biblioteka współdzielona atk-bridge, zapewniająca pomost między ATK a
D-Bus.

%package devel
Summary:	Header files for atk-bridge library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki atk-bridge
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	at-spi2-core-devel >= 2.26.0
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for atk-bridge library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki atk-bridge.

%package static
Summary:	Static atk-bridge library
Summary(pl.UTF-8):	Biblioteka statyczna atk-bridge
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static atk-bridge library.

%description static -l pl.UTF-8
Biblioteka statyczna atk-bridge.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-*/modules/libatk-bridge.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%{?with_static_libs:%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-*/module/libatk-bridge.a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop

%files libs
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libatk-bridge-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatk-bridge-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatk-bridge-2.0.so
%{_includedir}/at-spi2-atk
%{_pkgconfigdir}/atk-bridge-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-bridge-2.0.a
%endif
%changelog
* Wed Sep 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/at-spi2-atk.git;a=log;h=master

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9f64c7a
- Update to 2.26.0

* Wed May 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 063eb19
- updated to 2.24.1

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6eb9cc7
- Update to 2.24.0

* Tue Oct 04 2016 Jakub Bogusz <qboosh@pld-linux.org> c14082e
- updated to 2.22.0

* Tue Apr 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a149b0c
- Update to 2.20.1

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 24af161
- Update to 2.20.0

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> beeb3e8
- updated to 2.18.1

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> f0a21f0
- updated to 2.18.0

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> b714bab
- atk epoch

* Wed Mar 25 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9d8c990
- Update to 2.16.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c0317d3
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 43e6dec
- updated to 2.14.1

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> fbb92c2
- updated to 2.14.0

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 671f1a7
- Update to 2.12.1

* Mon Mar 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 62c73b8
- updated to 2.12.0

* Tue Nov 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 269eaf5
- updated to 2.10.2

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 4747d3a
- updated to 2.10.0

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 2f2ba74
- updated to 2.8.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 3af6c00
- versioned dependencies in -libs

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 78686f7
- updated to 2.8.0

